/*---------------------------------------------

	ヘッダー

---------------------------------------------*/
.c-header {
  position: sticky;
  top: 0;
  z-index: 100;
  background-color: #fff;
  box-shadow: 0 0 8px 4px rgba(0, 0, 0, 0.10);
}

.c-header__sp-top-block {
  display: contents;
}

@media (max-width: 1059px) {

  .c-header__sp-top-block {
    display: flex;
    justify-content: space-between;
    padding: 1rem 1rem 0.5rem 1rem;
    box-shadow: none;
  }
}


.c-header__container {
  display: inline-flex;
  padding: 0 1.6875rem 0 1.8125rem;
  justify-content: space-between;
  align-items: center;
  /* gap: 3.9vw; */
  width: 100%;
  height: 5rem;
}

@media (max-width: 1059px) {

  .c-header__container {

    flex-direction: column;
    align-items: stretch;
    gap: 0;
    height: auto;
    padding: 0;
  }

}

.c-header__logo {
  display: flex;
  align-items: center;
}

.c-header__logo--image {
  position: relative;
  width: clamp(100px, 11.17vw, 143px);
  margin-right: 1rem;
  padding-right: 1rem;
  border-right: solid var(--graygreen-500, #C5CFC6) 1px;
}

@media (max-width: 1059px) {
  .c-header__logo--image {
    margin-right: 0.5rem;
    padding: 0;
    width: 5.5rem;
    border-right: none;
  }
}

p.c-header__logo--text,
.single-post p.c-header__logo--text {
  margin: 0;
  color: var(--black-700, #333);
  font-family: "Zen Maru Gothic";
  font-size: clamp(8px, 0.93755vw, 12px);
  font-style: normal;
  font-weight: 700;
  line-height: 140%;
}

@media (max-width: 1059px) {

  p.c-header__logo--text,
  .single-post p.c-header__logo--text {
    font-size: 0.5rem;
  }
}

.c-header__menu-block {
  display: flex;
  align-items: center;
  height: 100%;
  gap: 1.25rem;
}

@media (max-width: 1059px) {
  .c-header__menu-block {
    display: flex;
    flex-direction: column-reverse;
    /* ← これで ボタンが上 / メニューが下 になる */
    gap: 12px;
  }
}

.c-header__menu {
  display: flex;
  justify-content: center;
  /* position: relative; */
  gap: 1.5vw;
  height: 100%;
  /* padding: 0.65rem 0; */
}

@media (max-width: 1059px) {

  .c-header__menu {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    border-top: 1px solid var(--graygreen-500, #C5CFC6);
    border-bottom: 1px solid var(--graygreen-500, #C5CFC6);
    gap: 0;
  }
}


.c-header__menu-link {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.4rem;
  cursor: pointer;
  height: 100%;
  transition: background-color .3s;
}

@media (max-width: 1059px) {
  .c-header__menu-link {
    border-right: 1px solid var(--graygreen-500, #C5CFC6);
    text-align: center;
  }

  .c-header__menu-link:last-child {
    border: none;
  }
}

.single-post .c-header__menu-trigger p,
.c-header__menu-trigger p {
  margin: 0;
  color: var(--black-700, #333);
  font-family: "Zen Maru Gothic";
  font-size: clamp(12px, 1.25vw, 16px);
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

@media (max-width: 1059px) {

  .single-post .c-header__menu-trigger p,
  .c-header__menu-trigger p {
    font-size: 1rem;
  }
}

@media (max-width: 540px) {

  .single-post .c-header__menu-trigger p,
  .c-header__menu-trigger p {
    font-size: 0.75rem;
  }
}


.c-header__menu-arrow {
  width: 0.5rem;
}

.c-header__button-block {
  display: flex;
  gap: .5rem;
}

@media (max-width: 1059px) {
  .c-header__button-block {
    display: none;
  }
}

.c-header__button {
  display: flex;
  align-items: center;
  padding: 0.75rem 1.5rem;
  gap: 0.4375rem;
  align-self: stretch;
  color: var(--white, #FFF);
  font-family: "Zen Maru Gothic";
  font-size: clamp(12px, 1.25vw, 16px);
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  border-radius: 3.125rem;
  background: var(--black-600, #444);
  border: none;
}

.c-header__button:hover {
  cursor: pointer;
}

.c-header__button.c-header__button--sp {
  display: none;
}

@media (max-width: 1059px) {
  .c-header__button {
    padding: 0.39775rem 0.79544rem;
    gap: 0.25rem;
    text-align: right;
    font-size: 0.625rem;
    line-height: 140%;
  }

  .c-header__button.c-header__button--sp {
    display: flex;
    text-align: center;
  }
}

.c-header__button--icon {
  width: 1.8rem;
  aspect-ratio: 28.80/28.80;
}

@media (max-width: 1059px) {
  .c-header__button--icon {
    width: 1.25rem;
  }
}

.c-header__button--orange {
  background: var(--orange-600, #FA8240);
}

.c-header__menu-trigger {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.4rem;
  width: 100%;
  height: 100%;
  justify-content: center;
}

@media (max-width: 1059px) {
  .c-header__menu-trigger {
    padding: 0.6rem 0rem;
  }
}

.c-header__menu-link:has(.mega-menu:hover) .c-header__menu-trigger::after,
.c-header__menu-link.is-open .c-header__menu-trigger::after {
  opacity: 1;
}

@media screen and (max-width: 540px) {
  .c-header__menu-link:has(.mega-menu:hover) .c-header__menu-trigger::after {
    opacity: 0;
  }
}


.c-header__menu-trigger::after {
  opacity: 0;
  content: "";
  display: block;
  width: 100%;
  height: 7px;
  background-color: #006E09;
  position: absolute;
  bottom: 0;
  transition: all .3s;
}

.c-header__menu-trigger:hover::after {
  opacity: 1;
}

@media (max-width: 1059px) {
  .c-header__menu-trigger::after {
    height: 3px;
  }
}

@media (max-width: 540px) {
  .c-header__menu-trigger:hover::after {
    opacity: 0;
  }
}

.c-header__menu-trigger-inner {
  display: contents;
}

@media (max-width: 1059px) {
  .c-header__menu-trigger-inner {
    display: flex;
    align-items: center;
    gap: .5rem
  }
}

.c-header__menu-icon {
  display: none;
}

@media (max-width: 1059px) {
  .c-header__menu-icon {
    display: block;
    width: 2.25rem;
  }

}

.mega-menu-2column {
  display: flex;
  /* gap: 2.2rem */
}

@media screen and (max-width: 830px) {
  .mega-menu-2column {
    /* gap: 1rem; */
    flex-direction: column;
  }
}

@media (max-width: 1059px) {
  .mega-menu-2column {
    flex-direction: column;
    /* gap: 1.75rem; */
  }
}

.mega-menu-2column__right {
  display: flex;
  gap: 1.8rem;
  flex: 1;
  padding-left: 2.19rem;
}

@media (max-width: 1059px) {
  .mega-menu-2column__right {
    /* flex-direction: column; */
    gap: 2.1rem;
    padding: 1.8rem 0 0 0;
  }
}

@media (max-width: 750px) {
  .mega-menu-2column__right {
    flex-direction: column;
    gap: 2.5rem;
  }
}

.mega-menu-2column__left {
  order: -1;
  padding-right: 2.2rem;
}

@media screen and (max-width:1059px) {
  .mega-menu-2column__left {
    padding: 0 0 1.75rem 0;
  }
}

.mega-menu-2column:before {
  content: "";
  border: 1px solid var(--graygreen-500, #C5CFC6);
  align-self: stretch;
}

.mega-menu-item__banner {
  width: clamp(150px, 24.6vw, 315px);
}

@media (max-width: 1059px) {
  .mega-menu-item__banner {
    /* width: 13.5rem; */
    width: 100%;
  }
}

@media (max-width: 540px) {
  .mega-menu-item__banner {
    width: 13.5rem;
  }
}

.mega-menu-list {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 1rem;
}

@media screen and (max-width: 1059px) {
  .mega-menu-list {
    gap: 0.8rem;
  }
}


.mega-menu-list--banner {
  width: 314px;
}

@media screen and (max-width: 1059px) {
  .mega-menu-list--banner {
    flex-direction: row;
    gap: 1rem 1.3rem;
    width: auto;
  }
}

@media screen and (max-width: 540px) {
  .mega-menu-list--banner {
    flex-direction: column;
    gap: 0.9rem;
  }
}

.mega-menu-list--group {
  height: 9rem;
}

@media screen and (max-width: 540px) {
  .mega-menu-list--group {
    height: auto;
  }
}

.mega-menu-item {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

@media (max-width: 1059px) {
  .mega-menu-item {
    gap: 0.3rem
  }

  .mega-menu-list--banner .mega-menu-item {
    width: 14.69188rem;
  }
}

@media (max-width: 540px) {

  .mega-menu-list--banner .mega-menu-item {
    width: auto;
  }
}

.mega-menu-item a,
.mega-menu-item div {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 0.3rem
}


.mega-menu-item a p,
.mega-menu-item div p {
  position: relative;
  padding-left: 1.12rem;
  display: flex;
  align-items: center;
  gap: .3rem;
  color: var(--black-700, #333);
  font-family: "Zen Maru Gothic";
  font-size: 1rem;
  font-style: normal;
  font-weight: 500;
  line-height: 140%;
  /* white-space: nowrap; */

  text-align: left;
}

@media (max-width: 1059px) {

  .mega-menu-item a p,
  .mega-menu-item div p {
    font-size: 0.875rem;
  }
}

.mega-menu-item a p::before,
.mega-menu-item div p::before {
  position: absolute;
  top: 3px;
  left: 0;

  display: block;
  content: "";
  background-image: url(../../img/icons/arrow-menu.svg);
  width: 0.8125rem;
  height: 0.8125rem;
  background-size: contain;
}

.mega-menu-item a .report::after {
  display: block;
  content: "";
  background-image: url(../../img/icons/icon-report.svg);
  width: 1.25rem;
  height: 1.25rem;
  background-size: contain;
}

.mega-menu {
  padding: 2.3rem 2.5rem 2.3rem 3rem;
  border: 1px solid #BDD9BD;
  background: var(--white, #FFF);
  box-shadow: 0 0 8px 4px rgba(0, 0, 0, 0.10);
  left: 50%;
  transform: translateX(-50%);
  top: 100%;
  opacity: 0;
  position: absolute;
  text-align: center;
  transition: opacity .3s, visibility .3s;
  visibility: hidden;
  width: 1062px;
  max-width: 90%;
  transition: opacity .3s, visibility .3s;
  background: var(--white, #FFF);
  /* opacity: 1;
  visibility: visible; */
  overflow: auto;
  /* height: 690px; */
}

.mega-menu--min {
  height: auto;
}

@media (max-width:1059px) {
  .mega-menu:not(.mega-menu--min) {
    height: 80dvh;
  }
}

@media (max-width: 540px) {
  .mega-menu:not(.mega-menu--min) {
    height: 80dvh;
  }
}

@media (max-width: 540px) {
  .mega-menu {
    padding: 2.6rem 1.3rem 1.5rem 1.3rem;
  }
}

.mega-menu__close {
  display: none;
}

@media (max-width: 1059px) {
  .mega-menu__close {
    width: 100%;
    display: flex !important;
    justify-content: flex-end;
    margin-top: 1rem;
    color: var(--gray-600, #A7A7A7);
    font-family: "Noto Sans JP", sans-serif;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 140%;
  }
}

.mega-menu__close-inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.3rem
}

/* hoverでメガメニュー表示 */
.c-header__menu-link:hover .mega-menu {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

@media (max-width: 540px) {
  .c-header__menu-link:hover .mega-menu {
    opacity: 0;
    visibility: hidden;
  }

  /* .is-open が付いてるときにだけ表示 */
  .c-header__menu-link.is-open .mega-menu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

}

/* メガメニューが開いている間はbodyをスクロールさせない */
@media screen and (max-width: 540px) {
  body.is-megamenu-open {
    overflow: hidden;
  }
}


.mega-menu-content-wrapper {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

@media (max-width: 1059px) {
  .mega-menu-content-wrapper {
    flex-direction: row;
  }
}

@media (max-width: 750px) {
  .mega-menu-content-wrapper {
    flex-direction: column;
    gap: 2.5rem;
  }
}

.mega-menu-content {
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.3rem
}

@media (max-width: 1059px) {
  .mega-menu-content {
    gap: 1rem
  }
}

.mega-menu__title {
  color: var(--black-700, #333);
  font-family: "Zen Maru Gothic";
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 400;
  line-height: 140%;
}

@media (max-width: 1059px) {
  .mega-menu__title {
    font-size: 0.8125rem;
  }
}